JsonDataBindingSourceCreator.JsonArrayList (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.binding.bindingsource

## [Groovy] Class JsonArrayList

- org.codehaus.groovy.grails.web.binding.bindingsource.JsonDataBindingSourceCreator.JsonArrayList

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `com.google.gson.Gson` | `gson`
    `com.google.gson.JsonArray` | `jsonArray`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonDataBindingSourceCreator.JsonArrayList (com.google.gson.JsonArray jsonArray, com.google.gson.Gson gson)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `get(int i)`
    `int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.util.AbstractList` | `java.util.AbstractList#add(int, java.lang.Object), java.util.AbstractList#add(java.lang.Object), java.util.AbstractList#remove(int), java.util.AbstractList#get(int), java.util.AbstractList#equals(java.lang.Object), java.util.AbstractList#hashCode(), java.util.AbstractList#indexOf(java.lang.Object), java.util.AbstractList#clear(), java.util.AbstractList#lastIndexOf(java.lang.Object), java.util.AbstractList#subList(int, int), java.util.AbstractList#addAll(int, java.util.Collection), java.util.AbstractList#iterator(), java.util.AbstractList#set(int, java.lang.Object), java.util.AbstractList#listIterator(), java.util.AbstractList#listIterator(int), java.util.AbstractList#remove(java.lang.Object), java.util.AbstractList#toString(), java.util.AbstractList#isEmpty(), java.util.AbstractList#contains(java.lang.Object), java.util.AbstractList#size(), java.util.AbstractList#toArray([Ljava.lang.Object;), java.util.AbstractList#toArray(), java.util.AbstractList#addAll(java.util.Collection), java.util.AbstractList#containsAll(java.util.Collection), java.util.AbstractList#removeAll(java.util.Collection), java.util.AbstractList#retainAll(java.util.Collection), java.util.AbstractList#wait(long, int), java.util.AbstractList#wait(long), java.util.AbstractList#wait(), java.util.AbstractList#getClass(), java.util.AbstractList#notify(), java.util.AbstractList#notifyAll(), java.util.AbstractList#size()`
    `class java.util.AbstractCollection` | `java.util.AbstractCollection#add(java.lang.Object), java.util.AbstractCollection#remove(java.lang.Object), java.util.AbstractCollection#toString(), java.util.AbstractCollection#clear(), java.util.AbstractCollection#isEmpty(), java.util.AbstractCollection#contains(java.lang.Object), java.util.AbstractCollection#size(), java.util.AbstractCollection#toArray([Ljava.lang.Object;), java.util.AbstractCollection#toArray(), java.util.AbstractCollection#addAll(java.util.Collection), java.util.AbstractCollection#iterator(), java.util.AbstractCollection#containsAll(java.util.Collection), java.util.AbstractCollection#removeAll(java.util.Collection), java.util.AbstractCollection#retainAll(java.util.Collection), java.util.AbstractCollection#wait(long, int), java.util.AbstractCollection#wait(long), java.util.AbstractCollection#wait(), java.util.AbstractCollection#equals(java.lang.Object), java.util.AbstractCollection#hashCode(), java.util.AbstractCollection#getClass(), java.util.AbstractCollection#notify(), java.util.AbstractCollection#notifyAll()`

- - ### Property Detail

    - #### com.google.gson.Gson gson

    - #### com.google.gson.JsonArray jsonArray

  - ### Constructor Detail

    - #### JsonDataBindingSourceCreator.JsonArrayList(com.google.gson.JsonArray jsonArray, com.google.gson.Gson gson)

  - ### Method Detail

    - #### java.lang.Object get(int i)

    - #### int size()